EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

            ebook-convert input_file output_file [options]

Convert an e-book from one format to another.

input_file is the input and output_file is the output. Both must be specified as the first two arguments to the command.

The output e-book format is guessed from the file extension of output_file. output_file can also be of the special format .EXT where EXT is the output file extension. In this case, the name of the output file is derived from the name of the input file. Note that the filenames must not start with a hyphen. Finally, if output_file has no extension, then it is treated as a folder and an "open e-book" (OEB) consisting of HTML files is written to that folder. These files are the files that would normally have been passed to the output plugin.

After specifying the input and output file you can customize the conversion by specifying various options. The available options depend on the input and output file types. To get help on them specify the input and output file and then use the -h option.

For full documentation of the conversion system see E-book conversion <#conversion>

Whenever you pass arguments to ebook-convert that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

Valkostir og sjálfgefnir valkostir breytast eftir sniði á hvoru tveggja inntaki og úttaki, þannig að best er að skoða ávallt með:

ebook-convert myfile.input_format myfile.output_format -h

Hér fyrir neðan eru valkostir sem eru sameiginlegir í öllum umbreytingum og þar á eftir eru valkostir sem eru sértækir fyrir hvert inntaks- og úttakssnið.

    •   INNTAK VALKOSTIR

    •   ÚTTAK VALKOSTIR

    •   ÚTLIT OG VIÐMÓT

    •   TILGÁTUVINNSLA

    •   LEITA OG SKIPTA ÚT

    •   FINNA UPPBYGGINGU

    •   EFNISYFIRLIT

    •   LÝSIGÖGN

    •   VILLULEIT

    --help, -h
        sýna þessi hjálparskilaboð og hætta

    --input-profile
        Tilgreindu inntakssnið. Inntakssnið veitir umbreytingarferlinu upplýsingar um hvernig skal túlka ýmsar upplýsingar í inntaksskjalinu. Til dæmis varðandi upplausnarháðar lengdir (þ.e. lengd í mynddílum). Val er um: cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

    --list-recipes
        List builtin recipe names. You can create an e-book from a builtin recipe like this: ebook-convert "Recipe Name.recipe" output.epub

    --output-profile
        Tilgreina úttaksforstillingu. Úttaksforstilling veitir umbreytingarferlinu upplýsingar um hvernig best er að aðlaga nýtilbúið skjal að tilgreindu tæki. Stundum er hægt að nota úttaksforstillingu til að hámarka úttaksgæði fyrir tiltekið tæki en það er sjaldan nauðsynlegt. Val er um:cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_scribe, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_inkpad3, pocketbook_lux, pocketbook_hd, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet

    --version
        sýna útgáfunúmer forrits og hætta

INNTAK VALKOSTIR

Stillingar á vinnslu inntaks mobi skrárinnar

    --input-encoding
        Tilgreina stafakóðun í inntaksskjalinu. Virkjun þessarar aðgerðar mun yfirprenta kóðanir sem tilgreindar eru í skjalinu sjálfu. Mjög gott að nota á skjöl sem ekki tilgreina kóðun eða hafa rangar kóðunarskilgreiningar.

ÚTTAK VALKOSTIR

Stillingar á vinnslu úttaks epub

    --dont-split-on-page-breaks
        Turn off splitting at page breaks. Normally, input files are automatically split at every page break into two files. This gives an output e-book that can be parsed faster and with less resources. However, splitting is slow and if your source file contains a very large number of page breaks, you should turn off splitting on page breaks.

    --epub-flatten
        Þessarar aðgerðar er einungis þörf ef nota á EPUB skrána í FBReaderJ. Hún mun fjarlægja allar undirmöppur í EPUB skránni þannig að skrárnar verða allar í efsta lagi.

    --epub-inline-toc
        Bæta við innfelldu efnisyfirliti sem mun birtast sem hluti af meginefni bókar.

    --epub-max-image-size
        The maximum image size (width x height). A value of profile means use the screen size from the output profile. A value of none means no maximum size is specified. For example, a value of 100x200 will cause all images to be resized so that their width is no more than 100 pixels and their height is no more than 200 pixels. Note that this only affects the size of the actual image files themselves. Any given image may be rendered at a different size depending on the styling applied to it in the document.

    --epub-toc-at-end
        Setja innfellt efnisyfirlit aftast í bókina í stað fremst.

    --epub-version
        Útgáfa EPUB-skrár sem á að útbúa. EPUB 2 er það sem samhæft er flestum tækjum, notðu EPUB 3 aðeins ef þú veist að þú munir þurfa á því að halda.

    --extract-to
        Extract the contents of the generated book to the specified folder. The contents of the folder are first deleted, so be careful.

    --flow-size
        Skipta upp öllum HTML skrár stærri en þetta (í KB). Þetta er nauðsynlegt því flestir EPUB-lesarar ráða ekki við stórar skrár. Sjálfgefna gildið 260KB er stærðarmörk Adobe Digital Editions. Veldu gildið 0 til að gera stærðarskiptingu óvirka.

    --no-default-epub-cover
        Venjulega, ef inntaksskrár hafa enga forsíðu og hún er ekki tligreind, þá er forsíða útbúin með titli, höfundi o.s.frv. Hér er þessi forsíðutilbúningur gerður óvirkur.

    --no-svg-cover
        Ekki nota SVG sem forsíðu. Notið þessa stillingu ef EPUB skrá verður notuð í tæki sem styður ekki SVG snið, svo sem iPhone og JetBook Lite. Án þessarar stillingar þá munu slík tæki birta auða forsíðu.

    --preserve-cover-aspect-ratio
        Þegar SVG forsíða er notuð þá mun þessi aðgerð valda því að forsíðan skalast svo hún fyllir laust skjásvæði en heldur sínum hlutföllum (hlutföll breiddar og hæðar). Það þýðir að það gætu komið hvítar spássíur til hliðar eða ofan og neðan við myndina en hún aflagast ekki. Án þessarar aðgerðar þá gæti myndin aflagast eitthvað en verður án spássíu (hvítra jaðra).

    --pretty-print
        Ef tilgreind, þá mun úttaksviðbótin reyna að skapa úttak sem er eins mannvænt til aflestrar og hægt er. Sumar úttaksviðbætur eru ónæmar fyrir þessu.

    --toc-title
        Title for any generated inline table of contents.

ÚTLIT OG VIÐMÓT

Stillingar á útliti og framsetningu úttaks

    --asciiize
        Transliterate Unicode characters to an ASCII representation. Use with care because this will replace Unicode characters with ASCII. For instance it will replace "Pelé" with "Pele". Also, note that in cases where there are multiple representations of a character (characters shared by Chinese and Japanese for instance) the representation based on the current calibre interface language will be used.

    --base-font-size
        Punktastærð grunnleturs. Allar leturstærðir í nýtilbúinni bók verða endurkvarðaðar út frá þessari stærð. Ef t.d. stærri leturgerð er valin þá verður letrið í úttakinu stærra. Sjálfgefið er, þegar gildið er núll, að grunnleturstærðin sé valin í samræmi við virkt úttakssnið.

    --change-justification
        Breyta textajöfnun. Gildið "vinstri" breytir öllum jöfnuðum texta í frumskránni þannig að hann jafnast vinstra megin (þ.e. ójafnaður). Gildið "jafna" breytir öllum ójöfnuðum texta í jafnaðan. Gildið "upprunalegt" (sjálfgefið) breytir ekki jöfnun í frumskránni. Takið eftir að einungis sum úttakssnið styðja jöfnun.

    --disable-font-rescaling
        Gera alla endurkvörðun leturstærða óvirka.

    --embed-all-fonts
        Ívefja stafagerð sem notuð er í innsettri skrá ef hún er ekki nú þegar ívafin. Þessi aðgerð leitar að umbeðnum stafagerðum og ef þær finnast, þá verða þær ívafðar. Ívafning mun einugis virka ef sniðið sem þú ert að breyta í styður ívafðar stafagerðir, svo sem EPUB, AZW3, DOCX eða PDF. Vinsamlegast tryggðu að þú hafir réttu leyfin til að ívefja þær stafagerðir sem notaðar eru í skránni.

    --embed-font-family
        Ívefja tiltekna leturgerð inn í bókina. Þannig er "grunn" leturgerð bókarinnar tilgreind. Ef innflutta skráin tilgreinir eigin leturgerð, þá gæti hún yfirprentað þessa grunnleturgerð. Þú getur notað leturgerðarsíu til að fjarlægja leturgerðir úr innfluttum skrám. Takið eftir að ívafning virkar einungis í vissum gerðum úttaksskráa, aðallega EPUB, AZW3 og DOCX.

    --expand-css
        By default, calibre will use the shorthand form for various CSS properties such as margin, padding, border, etc. This option will cause it to use the full expanded form instead. Note that CSS is always expanded when generating EPUB files with the output profile set to one of the Nook profiles as the Nook cannot handle shorthand CSS.

    --extra-css
        Annað hvort slóðin á CSS stílblað eða hrátt CSS. Þetta CSS mun bætast við stílsreglurnar í frumskránni, til að skrifa yfir þær reglur.

    --filter-css
        CSS eigindalisti, aðskilin með kommum, sem verða fjarlægð úr öllum CSS stílum. Þetta er notadrjúgt ef tilvist einhverra stílsupplýsinga kemur í veg fyrir að hægt sé að skrifa yfir þær í tækinu þínu. Til dæmis: font-family,color,margin-left,margin-right

    --font-size-mapping
        Vörpun úr CSS-leturheitum yfir í leturstærð í punktum. Dæmigerð uppsetning er 12,12,14,16,18,20,22,24. Þetta er vörpun stærða frá xx-smátt upp í xx-stórt, þar sem lokastærðin er afar stór leturgerð. Þessi gildi eru svo notuð til að endurkvarða leturgerðirnar á skynsaman hátt. Sjálfgefið er að nota vörpun byggða á völdu úttakssniði.

    --insert-blank-line
        Setja inn auða línu á milli málsgreina. Þetta virkar ekki ef frumskráin notar ekki málsgreinar (<p> eða <div> tög).

    --insert-blank-line-size
        Tilgreindu hæð auðra lína (í em einingum) sem settar eru inn. Hæð lína milli málsgreina verður tvöföld þetta gildi.

    --keep-ligatures
        Preserve ligatures present in the input document. A ligature is a combined character of a pair of characters like ff, fi, fl et cetera. Most readers do not have support for ligatures in their default fonts, so they are unlikely to render correctly. By default, calibre will turn a ligature into the corresponding pair of normal characters. Note that ligatures here mean only unicode ligatures not ligatures created via CSS or font styles. This option will preserve them instead.

    --line-height
        Punktafjöldi línuhæðar. Ræður stærð bils milli aðliggjandi lína í texta. Á einungis við um einingar sem ekki skilgreina sína eigin línuhæð. Í flestum tilvikum er val um lágmarkshæð línu gagnlegri. Sjálfgefið er að engar breytingar á línuhæð er framkvæmd.

    --linearize-tables
        Sum illa uppsett skjöl nota töflur til að ákvarða útlit texta á síðu. Við umbreytingu hafa sum slík skjöl texta sem hleypur af síðum eða öðrum bókarhlutum. Þetta val mun ná í innihald úr töflunum og birta með línulegum hætti.

    --margin-bottom
        Set the bottom margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

    --margin-left
        Set the left margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

    --margin-right
        Set the right margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

    --margin-top
        Set the top margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

    --minimum-line-height
        Lágmarkshæð línu, sem hlutfall af útreiknaðri leturstærð einingarinnar. Calibre mun tryggja að allar einingar fái línuhæð sem er að lágmarki þetta gildi, óháð því sem tilgreint er í inntaksskránni. Gildið núll gerir þetta óvirkt. Sjálfgefið er 120%. Notið það val í kjörstillingum til að tilgreina línuhæð, nema afleiðingar breytinga séu vel þekktar. Til dæmis, þá er hægt að hafa "tvöfalt línubil" með því að velja hér 240.

    --remove-paragraph-spacing
        Fjarlægja bil á milli málsgreina. Setur einnig 1,5em inndrátt á málsgreinar. Bil verða ekki fjarlægð ef engar málsgreinar (<p> eða <div> tög) eru í frumskránni.

    --remove-paragraph-spacing-indent-size
        Þegar Calibre fjarlægir auðar línur á milli málsgreina þá er sjálfkrafa settur inndráttur á málsgreinar til að tryggja að auðvelt sé að greina á milli málsgreina. Þessi aðgerð stýrir breidd þess inndráttar (í em-einingum). Ef gildið er neikvætt, þá ræður sá inndráttur sem notaður er í inntaksskjalinu, þ.e. Calibre mun ekki breyta inndrætti.

    --smarten-punctuation
        Convert plain quotes, dashes and ellipsis to their typographically correct equivalents. For details, see: <https://daringfireball.net/projects/smartypants>.

    --subset-embedded-fonts
        Setja alla ífafðar stafagerðir í undirmengi. Allar ívafðar stafagerðir eru minnkaðar svo þær innihalda aðeins þau stafbrigði sem notuð eru í þessari skrá. Þannig smækka stafagerðaskrárnar. Notadrjúgt ef þú ert að ívefja óvenju stóra stafagerð með fjölda ónotaðra stafbrigða.

    --transform-css-rules
        Path to a file containing rules to transform the CSS styles in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform styles" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

    --transform-html-rules
        Path to a file containing rules to transform the HTML in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform HTML" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

    --unsmarten-punctuation
        Convert fancy quotes, dashes and ellipsis to their plain equivalents.

TILGÁTUVINNSLA

Hagræða skráartextanum og byggingu hans með almennu mynstri. Ekki sjálfgefin stilling. Notið --enable-heuristics til að virkja. Slökkva má á einstaka aðgerðum með --disable-* valkosti.

    --disable-dehyphenate
        Analyze hyphenated words throughout the document. The document itself is used as a dictionary to determine whether hyphens should be retained or removed.

    --disable-delete-blank-paragraphs
        Remove empty paragraphs from the document when they exist between every other paragraph

    --disable-fix-indents
        Breyta inndrætti sem búinn er til með mörgum samfelldum bilum í CSS inndrátt.

    --disable-format-scene-breaks
        Left aligned scene break markers are center aligned. Replace soft scene breaks that use multiple blank lines with horizontal rules.

    --disable-italicize-common-cases
        Look for common words and patterns that denote italics and italicize them.

    --disable-markup-chapter-headings
        Finna og merkja óforsniðnar kafla- og undirfyrirsagnir. Breyta þeim í h2 og h3 einindi. Þessi stilling mun ekki útbúa efnisyfirlit, en er hægt að nota samhliða greiningu á uppbyggingu til að útbúa slíkt.

    --disable-renumber-headings
        Looks for occurrences of sequential <h1> or <h2> tags. The tags are renumbered to prevent splitting in the middle of chapter headings.

    --disable-unwrap-lines
        Unwrap lines using punctuation and other formatting clues.

    --enable-heuristics
        Enable heuristic processing. This option must be set for any heuristic processing to take place.

    --html-unwrap-factor
        Scale used to determine the length at which a line should be unwrapped. Valid values are a decimal between 0 and 1. The default is 0.4, just below the median line length. If only a few lines in the document require unwrapping this value should be reduced

    --replace-scene-breaks
        Skipta út skilum milli efnishluta fyrir tilgreindan texta. Sjálfgefið er textinn úr inntaksskjalinu notaður.

LEITA OG SKIPTA ÚT

Hagræða skráartextanum og byggingu hans með mynstri skilgreint af notanda.

    --search-replace
        Path to a file containing search and replace regular expressions. The file must contain alternating lines of regular expression followed by replacement pattern (which can be an empty line). The regular expression must be in the Python regex syntax and the file must be UTF-8 encoded.

    --sr1-replace
        Replacement to replace the text found with sr1-search.

    --sr1-search
        Search pattern (regular expression) to be replaced with sr1-replace.

    --sr2-replace
        Replacement to replace the text found with sr2-search.

    --sr2-search
        Search pattern (regular expression) to be replaced with sr2-replace.

    --sr3-replace
        Replacement to replace the text found with sr3-search.

    --sr3-search
        Search pattern (regular expression) to be replaced with sr3-replace.

FINNA UPPBYGGINGU

Stilla sjálfvirka greiningu á byggingu skráa.

    --add-alt-text-to-img
        When an <img> tag has no alt attribute, check the associated image file for metadata that specifies alternate text, and use it to fill in the alt attribute. The alt attribute improves accessibility by providing text descriptions for users who cannot see or fully interpret visual content.

    --chapter
        XPath-segð til að greina titla á köflum. Sjálfgefið er að skilgreina sem kaflatitla <h1> eða <h2> einindi sem innihalda orðin "chapter", "book", "section", "prologue", "epilogue" aða "part" jafnframt þeim einindum sem eru með class="chapter". Segðin verður að samsvara lista yfir eigindi. Til að gera greiningu kafla óvirka skaltu nota segðina "/". Skoðaðu kennsluefnið yfir XPath í notendahandbók Calibre fyrir nánari upplýsingar um hvernig þetta er notað.

    --chapter-mark
        Tilgreina hvernig á að merkja við kafla sem fundust. Gildið "síðuskil" mun hafa síðuskil á undan köflum. Gildið "lína" mun setja línu á undan köflum. Gildið "ekkert" mun gera kaflamerkingar óvirkar og gildið "hvoru tveggja" mun nota hvoru tveggja línuskil og línur til að marka kafla.

    --disable-remove-fake-margins
        Í sumum skjölum eru vinstri og hægri spássíur tilgreindar í hverri málsgrein. Calibre mun reyna að finna og fjarlægja þessar spássíur. Stundum hverfa þá spássíur sem ekki áttu að fara. Ef svo er þá er hér hægt að koma í veg fyrir það.

    --insert-metadata
        Insert the book metadata at the start of the book. This is useful if your e-book reader does not support displaying/searching metadata directly.

    --page-breaks-before
        XPath skipun. Línuskil er höfð á undan tilgreindum einingum. Notið eftirfarandi skipun til að gera óvirkt: /

    --prefer-metadata-cover
        Nota forsíðu sem fannst í frumskránni frekar en tilgreinda forsíðu.

    --remove-first-image
        Remove the first image from the input e-book. Useful if the input document has a cover image that is not identified as a cover. In this case, if you set a cover in calibre, the output document will end up with two cover images if you do not specify this option.

    --start-reading-at
        XPath-segð til að finna staðinn í skjalinu þar sem á að hefja lestur. Sum rafbókalesaraforrit (mest áberandi er Kindle) nota þessa staðsetningu sem staðinn þar sem bókin opnast. Skoðaðu kennsluefnið yfir XPath í notendahandbók Calibre fyrir nánari upplýsingar um hvernig þetta er notað.

EFNISYFIRLIT

Stilla sjálfvirka gerð efnisyfirlits. Sjálfgefið er að ef frumskráin hefur efnisyfirlit þá verður það notað framyfir það sem er sjálfkrafa búið til.

    --duplicate-links-in-toc
        Þegar efnisyfirlit er búið til úr tenglum í inntaksskjalinu, þá skal leyfa tvíteknar færslur, þ.e. leyfa fleiri en eina færslu með sama texta, svo framarlega sem tenglarnir eru mismunandi.

    --level1-toc
        XPath skipun sem tilgreinir öll merki sem bæta á við sem meginefni á stigi eitt í efnisyfirlitinu. Ef þetta er tilgreint þá er þessi aðgerð tekin umfram allar aðrar sjálfvirkar efnisaðgerðir. Skoðaðu kennsluefnið yfir XPath í notendahandbók Calibre til að sjá dæmi um hvernig þetta er notað.

    --level2-toc
        XPath skipun sem skilgreinir öll merki sem bæta á við sem stigi tvö í efnisyfirlitinu. Færslunum er bætt við undir fyrri færslu af stigi eitt. Skoðaðu kennsluefnið yfir XPath í notendahandbók Calibre til að sjá dæmi um hvernig þetta er notað.

    --level3-toc
        XPath skipun sem skilgreinir öll merki sem bæta á við sem stigi þrjú í efnisyfirlitinu Færslunum er bætt við undir fyrri færslu af stigi tvö. Skoðaðu kennsluefnið yfir XPath í notendahandbók Calibre til að sjá dæmi um hvernig þetta er notað.

    --max-toc-links
        Hámarks fjöldi tengla sem bætt er við í efnisyfirlit. Veljið 0 til að gera óvirkt. Sjálfgefið er: 50. Tenglum er einungis bætt við efnisyfirlitið ef minni en þessi þröskuldsfjöldi af köflum greinist.

    --no-chapters-in-toc
        Ekki bæta þeim köflum við í efnisyfirlitið sem fundust sjálfvirkt.

    --toc-filter
        Fjarlægja færslur úr efnisyfirliti sem hafa heiti sem passar við tilgreinda reglulega segð. Færslur sem passa við og öll afsprengi þeirra eru fjarlægð.

    --toc-threshold
        Ef færri en þessi kaflafjöldi greinist, þá er tenglum bætt við í efnisyfirlitið. Sjálfgefið: 6

    --use-auto-toc
        Venjulega, ef frumskráin hefur efnisyfirlit, þá er það notað í stað þess sem er sjálfkrafa búið til. Ef þetta er valið þá er sjálfgerða efnisyfirlitið alltaf notað.

LÝSIGÖGN

Stillingar á lýsigögnum í úttaki

    --author-sort
        String to be used when sorting by author.

    --authors
        Set the authors. Multiple authors should be separated by ampersands.

    --book-producer
        Settu framleiðanda bókarinnar.

    --comments
        Settu lýsingu á rafbókinni.

    --cover
        Set the cover to the specified file or URL

    --isbn
        Settu ISBN rafbókarinnar.

    --language
        Settu tungumálið.

    --pubdate
        Set the publication date (assumed to be in the local timezone, unless the timezone is explicitly specified)

    --publisher
        Settu útgefanda rafbókarinnar.

    --rating
        Settu einkunn. Hún ætti að vera tala á milli 1 og 5.

    --read-metadata-from-opf, --from-opf, -m
        Lesa lýsigögn úr tilgreindri OPF skrá. Lýsigögn sem lesin eru úr þessari skrá munu koma í stað þeirra sem eru í frumskjalinu.

    --series
        Settu ritröðina sem þessi rafbók tilheyrir.

    --series-index
        Set the index of the book in this series.

    --tags
        Set the tags for the book. Should be a comma separated list.

    --timestamp
        Set the book timestamp (no longer used anywhere)

    --title
        Veldu titilinn.

    --title-sort
        The version of the title to be used for sorting.

VILLULEIT

Valkostir til að hjálpa við villuleit í umbreytingunni

    --debug-pipeline, -d
        Save the output from different stages of the conversion pipeline to the specified folder. Useful if you are unsure at which stage of the conversion process a bug is occurring.

    --verbose, -v
        Umfang orðnotkunar. Tilgreindu orðnotkunarstuðul. Stuðullinn tveir veldur orðagljáfri, einn meðal orðnotkun og núll er knappur stíll.

Author
Kovid Goyal

Copyright
Kovid Goyal